import 'package:flutter/material.dart';
import 'package:get/get.dart';

import 'index.dart';

class NotePage extends GetView<NoteController> {
  const NotePage({super.key});

  // 主视图
  Widget _buildView() {
    return const Center(
      child: Text("NotePage"),
    );
  }

  @override
  Widget build(BuildContext context) {
    return GetBuilder<NoteController>(
      init: NoteController(),
      id: "note",
      builder: (_) {
        return Scaffold(
          appBar: AppBar(title: const Text("note")),
          body: SafeArea(
            child: _buildView(),
          ),
        );
      },
    );
  }
}
